Loading...
Searching...
No Matches
Matrix Vector Multiply
Math Functions

## Functions

ne10_result_t | ne10_mulcmatvec_cm4x4f_v4f_c (ne10_vec4f_t *dst, const ne10_mat4x4f_t *cst, ne10_vec4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_mulcmatvec_cm4x4f_v4f_neon (ne10_vec4f_t *dst, const ne10_mat4x4f_t *cst, ne10_vec4f_t *src, ne10_uint32_t count) asm("ne10_mulcmatvec_cm4x4f_v4f_neon")
ne10_result_t | ne10_mulcmatvec_cm4x4f_v4f_asm (ne10_vec4f_t *dst, const ne10_mat4x4f_t *cst, ne10_vec4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_mulcmatvec_cm3x3f_v3f_c (ne10_vec3f_t *dst, const ne10_mat3x3f_t *cst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_mulcmatvec_cm3x3f_v3f_neon (ne10_vec3f_t *dst, const ne10_mat3x3f_t *cst, ne10_vec3f_t *src, ne10_uint32_t count) asm("ne10_mulcmatvec_cm3x3f_v3f_neon")
ne10_result_t | ne10_mulcmatvec_cm3x3f_v3f_asm (ne10_vec3f_t *dst, const ne10_mat3x3f_t *cst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_mulcmatvec_cm2x2f_v2f_c (ne10_vec2f_t *dst, const ne10_mat2x2f_t *cst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_mulcmatvec_cm2x2f_v2f_neon (ne10_vec2f_t *dst, const ne10_mat2x2f_t *cst, ne10_vec2f_t *src, ne10_uint32_t count) asm("ne10_mulcmatvec_cm2x2f_v2f_neon")
ne10_result_t | ne10_mulcmatvec_cm2x2f_v2f_asm (ne10_vec2f_t *dst, const ne10_mat2x2f_t *cst, ne10_vec2f_t *src, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_mulcmatvec_cm4x4f_v4f )(ne10_vec4f_t *dst, const ne10_mat4x4f_t *cst, ne10_vec4f_t *src, ne10_uint32_t count)
| Matrix multiplication of 4x4 matrix and 4D vector.
ne10_result_t(* | ne10_mulcmatvec_cm3x3f_v3f )(ne10_vec3f_t *dst, const ne10_mat3x3f_t *cst, ne10_vec3f_t *src, ne10_uint32_t count)
| Matrix multiplication of 3x3 matrix and 3D vector.
ne10_result_t(* | ne10_mulcmatvec_cm2x2f_v2f )(ne10_vec2f_t *dst, const ne10_mat2x2f_t *cst, ne10_vec2f_t *src, ne10_uint32_t count)
| Matrix multiplication of 2x2 matrix and 2D vector.

## Detailed Description

  These functions implement the matrix vector multiply operation for float data type.

## Function Documentation

## ne10_mulcmatvec_cm2x2f_v2f_c()

ne10_result_t ne10_mulcmatvec_cm2x2f_v2f_c | ( | ne10_vec2f_t * | dst,
|  | const ne10_mat2x2f_t * | cst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_mulcmatvec.c.

## ne10_mulcmatvec_cm3x3f_v3f_c()

ne10_result_t ne10_mulcmatvec_cm3x3f_v3f_c | ( | ne10_vec3f_t * | dst,
|  | const ne10_mat3x3f_t * | cst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 56 of file NE10_mulcmatvec.c.

## ne10_mulcmatvec_cm4x4f_v4f_c()

ne10_result_t ne10_mulcmatvec_cm4x4f_v4f_c | ( | ne10_vec4f_t * | dst,
|  | const ne10_mat4x4f_t * | cst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 86 of file NE10_mulcmatvec.c.

## Variable Documentation

## ne10_mulcmatvec_cm2x2f_v2f

ne10_result_t(* ne10_mulcmatvec_cm2x2f_v2f) (ne10_vec2f_t *dst, const ne10_mat2x2f_t *cst, ne10_vec2f_t *src, ne10_uint32_t count) | ( | ne10_vec2f_t * | dst,
|  | const ne10_mat2x2f_t * | cst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Matrix multiplication of 2x2 matrix and 2D vector.

This function point could be pointed to one of ne10_mulcmatvec_cm2x2f_v2f_c, ne10_mulcmatvec_cm2x2f_v2f_neon and ne10_mulcmatvec_cm2x2f_v2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | Pointer to the matrix to multiply the input values with
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input arrays

Definition at line 295 of file NE10_init_math.c.

## ne10_mulcmatvec_cm3x3f_v3f

ne10_result_t(* ne10_mulcmatvec_cm3x3f_v3f) (ne10_vec3f_t *dst, const ne10_mat3x3f_t *cst, ne10_vec3f_t *src, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | const ne10_mat3x3f_t * | cst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Matrix multiplication of 3x3 matrix and 3D vector.

This function point could be pointed to one of ne10_mulcmatvec_cm3x3f_v3f_c, ne10_mulcmatvec_cm3x3f_v3f_neon and ne10_mulcmatvec_cm3x3f_v3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | Pointer to the matrix to multiply the input values with
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input arrays

Definition at line 294 of file NE10_init_math.c.

## ne10_mulcmatvec_cm4x4f_v4f

ne10_result_t(* ne10_mulcmatvec_cm4x4f_v4f) (ne10_vec4f_t *dst, const ne10_mat4x4f_t *cst, ne10_vec4f_t *src, ne10_uint32_t count) | ( | ne10_vec4f_t * | dst,
|  | const ne10_mat4x4f_t * | cst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Matrix multiplication of 4x4 matrix and 4D vector.

This function point could be pointed to one of ne10_mulcmatvec_cm4x4f_v4f_c, ne10_mulcmatvec_cm4x4f_v4f_neon and ne10_mulcmatvec_cm4x4f_v4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | Pointer to the matrix to multiply the input values with
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input arrays

Definition at line 293 of file NE10_init_math.c.